'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
	async up(queryInterface, Sequelize) {
		await queryInterface.addColumn('hotels', 'price', {
			type: Sequelize.DECIMAL(10, 2),
			allowNull: false,
		});

		await queryInterface.addColumn('hotels', 'address', {
			type: Sequelize.STRING,
			allowNull: false,
		});
	},

	async down(queryInterface, Sequelize) {
		await queryInterface.removeColumn('hotels', 'price');
		await queryInterface.removeColumn('hotels', 'address');
	},
};
